Google Web Toolkit
Search Google Code:

# Interface NodeList

public interface NodeList
This interface represents an immutable ordered collection of nodes.

## Methods

getLength() | This method retrieves the number of items in this `NodeList` object.
item(int) | This method gets the item in the position denoted by `index`.

## Method Detail

### getLength

public int getLength()
This method retrieves the number of items in this `NodeList` object.

#### Return Value

the number of nodes in this `NodeList` object.

### item

public Node item(int index)
This method gets the item in the position denoted by `index`.

#### Parameters

index
  - the index to be retrieved

#### Return Value

the item at this index